#! /bin/bash
#
# plugin
#

PATH=/sbin:/bin:/usr/sbin:/usr/bin
SOFTCAMD=/var/bin/mgcamd
CARDSERVER=/var/bin/newcs
DESC="newcs-mgcamd"
NAME=newcs-mgcamd
USERID=root
GROUPID=root

test -x $SOFTCAMD || exit 0
test -x $CARDSERVER || exit 0

load_device ()
{

					insmod /var/etc/sci.ko debug=1 sci_major=169
					insmod /var/etc/sci.ko debug=0
					SCI_DEVICE="sci"
					SCI_MAJOR=`awk "\\$2==\"$SCI_DEVICE\" {print \\$1}" /proc/devices`
					mknod /dev/sci0 c $SCI_MAJOR 0
					/var/bin/newcs -c /var/tuxbox/config/newcs.xml
}

case "$1" in
  start)
        echo -n "Starting $DESC: "
				hdparm -M 128 /dev/sda
        hdparm -S 180 /dev/sda

				count=0
				until [ `cat /tmp/resolv.conf | grep -c nameserver` -gt 0 ] || [ $count -gt 30 ]
				do
					echo -n "Waiting ["
					sleep 1
					let count=$count+1
					echo -n $count
					echo "]"
				done


				if [ `cat /tmp/resolv.conf | grep -c nameserver` -gt 0 ]; then
					if [ -f /tmp/pmt.tmp ] ; then
						if [ ! -f /tmp/newcs.pid ]; then
			    		load_device
			    	fi
              sleep 2
						start-stop-daemon -S -c $USERID:$GROUPID -x $SOFTCAMD
					fi
				fi

        ;;
  stop)
        echo -n "Stopping $DESC: "
        start-stop-daemon -K -q -x $SOFTCAMD
        start-stop-daemon -K -q -x $CARDSERVER
        rmmod sci
        echo "$NAME."
        ;;
esac

exit 0

by Leo
